        subroutine HYDLYS(K2)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      include 'LOCAL3.INC'
        real KAHL, KNHL, KBHL
        real HPLUS, HYDRX, TKEL
        integer I, II, J, K, KK, K2
      do 130 J = 1, KOUNT
         II = -2
         HPLUS = 10.**(-PHG(J,NDAT))
         HYDRX = 10.**(-POHG(J,NDAT))
         TKEL = TCELG(J,NDAT)+273.15
         do 120 K = 1, 7
            if (SPFLGG(K,K2).eq.0) go to 110
            do 100 I = 1, 3
               KK = 3*K+II+I-1
               KAHL = KAHG(I,K,K2)
               if (EAHG(I,K,K2).ne.0.) KAHL = 10.**(KAHG(I,K,K2)-((1000.
     &            *EAHG(I,K,K2))/(4.58*TKEL)))
               KNHL = KNHG(I,K,K2)
               if (ENHG(I,K,K2).ne.0.) KNHL = 10.**(KNHG(I,K,K2)-((1000.
     &            *ENHG(I,K,K2))/(4.58*TKEL)))
               KBHL = KBHG(I,K,K2)
               if (EBHG(I,K,K2).ne.0.) KBHL = 10.**(KBHG(I,K,K2)-((1000.
     &            *EBHG(I,K,K2))/(4.58*TKEL)))
               HYDRKL(J,K2) = HYDRKL(J,K2)+ALPHA(KK,J,K2)*(KAHL*HPLUS+
     &            KNHL+KBHL*HYDRX)
100         continue
110         continue
            II = II+1
120      continue
130   continue
      return
      end
